Skip to main content
GET
/
api
/
v2
/
inventory_items
cURL
curl --request GET \
  --url https://take.app/api/v2/inventory_items \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "item_id": "<string>",
      "item_name": "<string>",
      "product_id": "<string>",
      "variant_id": "<string>",
      "sku": "<string>",
      "quantity": 123,
      "price": 123,
      "original_price": 123,
      "cost": 123,
      "cost_enabled": true,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://platform.take.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
cursor
string
updated_after
string<date-time>

Response

List of inventory items

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required